{{- if .Values.pipes }}
{{- $fullName := include "piveau-consus-scheduling.fullname" . -}}
apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ $fullName }}
  labels:
    {{- include "piveau-consus-scheduling.labels" . | nindent 4 }}
data:
  {{- range .Values.pipes }}
  {{ .file }}: {{ toYaml .value | quote }}
  {{- end }}
{{- end }}